/***************************************************************************\
* LRAHEADERSTART
*
*                   Copyright (C) 2004 Georgia SoftWorks.
*                   All rights reserved.
*
* LRAHEADEREND
\***************************************************************************/


#ifndef _INC_GSW_INTERFACE
#define _INC_GSW_INTERFACE


#if     !defined(_WIN32)
#error ERROR: Only Win32 target supported!
#endif

#pragma pack(push,1)

//request ids
#define GSW_REQUEST_CLNT_SOCKET 0xa0


#define GSW_INTERFACE1_BUF1_SIZE 255

typedef struct _GSW_INTERFACE1
{
	DWORD dwSize;
	SOCKET hClientSocket;
	DWORD dwRequestorPID;
	DWORD dwRequestID;
    DWORD dwRequestResult;
	DWORD dwReconnected;
	DWORD dwSuspended;
	BYTE byBuf[GSW_INTERFACE1_BUF1_SIZE + 1];
	DWORD dwInParam1;
	DWORD dwInParam2;
	DWORD dwInParam3;
	DWORD dwOutParam1;
	DWORD dwOutParam2;
	DWORD dwOutParam3;
} GSW_INTERFACE1;

#define S_GSW_INTERFACE1 sizeof(GSW_INTERFACE1)

#pragma pack(pop)

#endif  /* _INC_GSW_INTERFACE */
